# Local Discriminant Basis

```@index
Modules = [LDB]
```

## Energy Maps
```@docs
LDB.EnergyMap
LDB.TimeFrequency
LDB.ProbabilityDensity
LDB.Signatures
LDB.energy_map
```

## Discriminant Measures
```@docs
LDB.DiscriminantMeasure
LDB.ProbabilityDensityDM
LDB.SignaturesDM
LDB.AsymmetricRelativeEntropy
LDB.SymmetricRelativeEntropy
LDB.HellingerDistance
LDB.LpDistance
LDB.EarthMoverDistance
LDB.discriminant_measure
LDB.pairwise_discriminant_measure
```

## Computation of Discriminant Powers
```@docs
LDB.DiscriminantPower
LDB.BasisDiscriminantMeasure
LDB.FishersClassSeparability
LDB.RobustFishersClassSeparability
LDB.discriminant_power
```

## Feature Extraction and Transformation
```@docs
LDB.LocalDiscriminantBasis
LDB.fit!
LDB.fitdec!
LDB.fit_transform
LDB.transform
LDB.inverse_transform
LDB.change_nfeatures
```
